/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDownloadUrlForLayerInput } from "../types/GetDownloadUrlForLayerInput";
import { GetDownloadUrlForLayerOutput } from "../types/GetDownloadUrlForLayerOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/GetDownloadUrlForLayerInput";
export * from "../types/GetDownloadUrlForLayerOutput";
export * from "../types/GetDownloadUrlForLayerExceptionsUnion";
export declare class GetDownloadUrlForLayerCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDownloadUrlForLayerInput, OutputTypesUnion, GetDownloadUrlForLayerOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: GetDownloadUrlForLayerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDownloadUrlForLayerInput, GetDownloadUrlForLayerOutput, _stream.Readable>;
    constructor(input: GetDownloadUrlForLayerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<GetDownloadUrlForLayerInput, GetDownloadUrlForLayerOutput>;
}
