/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutLifecyclePolicyInput } from "../types/PutLifecyclePolicyInput";
import { PutLifecyclePolicyOutput } from "../types/PutLifecyclePolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/PutLifecyclePolicyInput";
export * from "../types/PutLifecyclePolicyOutput";
export * from "../types/PutLifecyclePolicyExceptionsUnion";
export declare class PutLifecyclePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, PutLifecyclePolicyInput, OutputTypesUnion, PutLifecyclePolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: PutLifecyclePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutLifecyclePolicyInput, PutLifecyclePolicyOutput, _stream.Readable>;
    constructor(input: PutLifecyclePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<PutLifecyclePolicyInput, PutLifecyclePolicyOutput>;
}
