"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeRepositoriesInput_1 = require("../shapes/DescribeRepositoriesInput");
const DescribeRepositoriesOutput_1 = require("../shapes/DescribeRepositoriesOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeRepositories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeRepositories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeRepositoriesInput_1.DescribeRepositoriesInput
    },
    output: {
        shape: DescribeRepositoriesOutput_1.DescribeRepositoriesOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeRepositories.js.map