"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListImagesInput_1 = require("../shapes/ListImagesInput");
const ListImagesOutput_1 = require("../shapes/ListImagesOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListImages = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListImages",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListImagesInput_1.ListImagesInput
    },
    output: {
        shape: ListImagesOutput_1.ListImagesOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=ListImages.js.map