"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutImageTagMutabilityInput_1 = require("../shapes/PutImageTagMutabilityInput");
const PutImageTagMutabilityOutput_1 = require("../shapes/PutImageTagMutabilityOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutImageTagMutability = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutImageTagMutability",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutImageTagMutabilityInput_1.PutImageTagMutabilityInput
    },
    output: {
        shape: PutImageTagMutabilityOutput_1.PutImageTagMutabilityOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=PutImageTagMutability.js.map