"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _LifecyclePolicyPreviewResultList_1 = require("./_LifecyclePolicyPreviewResultList");
const _LifecyclePolicyPreviewSummary_1 = require("./_LifecyclePolicyPreviewSummary");
exports.GetLifecyclePolicyPreviewOutput = {
    type: "structure",
    required: [],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        lifecyclePolicyText: {
            shape: {
                type: "string",
                min: 100
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        previewResults: {
            shape: _LifecyclePolicyPreviewResultList_1._LifecyclePolicyPreviewResultList
        },
        summary: {
            shape: _LifecyclePolicyPreviewSummary_1._LifecyclePolicyPreviewSummary
        }
    }
};
//# sourceMappingURL=GetLifecyclePolicyPreviewOutput.js.map