"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ListImagesFilter_1 = require("./_ListImagesFilter");
exports.ListImagesInput = {
    type: "structure",
    required: ["repositoryName"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        maxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        filter: {
            shape: _ListImagesFilter_1._ListImagesFilter
        }
    }
};
//# sourceMappingURL=ListImagesInput.js.map