"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ImageIdentifier_1 = require("./_ImageIdentifier");
exports._Image = {
    type: "structure",
    required: [],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageId: {
            shape: _ImageIdentifier_1._ImageIdentifier
        },
        imageManifest: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Image.js.map