/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetImageInput } from "../types/BatchGetImageInput";
import { BatchGetImageOutput } from "../types/BatchGetImageOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/BatchGetImageInput";
export * from "../types/BatchGetImageOutput";
export * from "../types/BatchGetImageExceptionsUnion";
export declare class BatchGetImageCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetImageInput, OutputTypesUnion, BatchGetImageOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: BatchGetImageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetImageInput, BatchGetImageOutput, _stream.Readable>;
    constructor(input: BatchGetImageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<BatchGetImageInput, BatchGetImageOutput>;
}
