/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLifecyclePolicyInput } from "../types/DeleteLifecyclePolicyInput";
import { DeleteLifecyclePolicyOutput } from "../types/DeleteLifecyclePolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/DeleteLifecyclePolicyInput";
export * from "../types/DeleteLifecyclePolicyOutput";
export * from "../types/DeleteLifecyclePolicyExceptionsUnion";
export declare class DeleteLifecyclePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLifecyclePolicyInput, OutputTypesUnion, DeleteLifecyclePolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteLifecyclePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLifecyclePolicyInput, DeleteLifecyclePolicyOutput, _stream.Readable>;
    constructor(input: DeleteLifecyclePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<DeleteLifecyclePolicyInput, DeleteLifecyclePolicyOutput>;
}
