/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListImagesInput } from "../types/ListImagesInput";
import { ListImagesOutput } from "../types/ListImagesOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/ListImagesInput";
export * from "../types/ListImagesOutput";
export * from "../types/ListImagesExceptionsUnion";
export declare class ListImagesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListImagesInput, OutputTypesUnion, ListImagesOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: ListImagesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListImagesInput, ListImagesOutput, _stream.Readable>;
    constructor(input: ListImagesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<ListImagesInput, ListImagesOutput>;
}
