"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InitiateLayerUploadInput_1 = require("../shapes/InitiateLayerUploadInput");
const InitiateLayerUploadOutput_1 = require("../shapes/InitiateLayerUploadOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.InitiateLayerUpload = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "InitiateLayerUpload",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: InitiateLayerUploadInput_1.InitiateLayerUploadInput
    },
    output: {
        shape: InitiateLayerUploadOutput_1.InitiateLayerUploadOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=InitiateLayerUpload.js.map