"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _LayerDigestList_1 = require("./_LayerDigestList");
exports.CompleteLayerUploadInput = {
    type: "structure",
    required: ["repositoryName", "uploadId", "layerDigests"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        uploadId: {
            shape: {
                type: "string"
            }
        },
        layerDigests: {
            shape: _LayerDigestList_1._LayerDigestList
        }
    }
};
//# sourceMappingURL=CompleteLayerUploadInput.js.map