"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ImageIdentifierList_1 = require("./_ImageIdentifierList");
const _LifecyclePolicyPreviewFilter_1 = require("./_LifecyclePolicyPreviewFilter");
exports.GetLifecyclePolicyPreviewInput = {
    type: "structure",
    required: ["repositoryName"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageIds: {
            shape: _ImageIdentifierList_1._ImageIdentifierList
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        maxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        filter: {
            shape: _LifecyclePolicyPreviewFilter_1._LifecyclePolicyPreviewFilter
        }
    }
};
//# sourceMappingURL=GetLifecyclePolicyPreviewInput.js.map