"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Repository = {
    type: "structure",
    required: [],
    members: {
        repositoryArn: {
            shape: {
                type: "string"
            }
        },
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        repositoryUri: {
            shape: {
                type: "string"
            }
        },
        createdAt: {
            shape: {
                type: "timestamp"
            }
        },
        imageTagMutability: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Repository.js.map